Index: svn/src/cpu/via/model_c7/model_c7_init.c
===================================================================
--- svn.orig/src/cpu/via/model_c7/model_c7_init.c
+++ svn/src/cpu/via/model_c7/model_c7_init.c
@@ -68,7 +68,7 @@ static int c7d_speed_translation[] = {
 static void set_c7_speed(int model) {
 	int cnt, current, new, i;
 	msr_t msr;
-	printk(BIOS_DEBUG, "Enabling improved C7 clock and voltage.\n");
+	printk(DEBUG, "Enabling improved C7 clock and voltage.\n");
 
 	// Enable Speedstep
 	msr = rdmsr(MSR_IA32_MISC_ENABLE);
@@ -77,16 +77,16 @@ static void set_c7_speed(int model) {
 
 	msr = rdmsr(MSR_IA32_PERF_STATUS);
 
-	printk(BIOS_INFO, "Voltage: %dmV (min %dmV; max %dmV)\n",
+	printk(INFO, "Voltage: %dmV (min %dmV; max %dmV)\n",
 		    ((int)(msr.lo & 0xff) * 16 + 700),
 		    ((int)((msr.hi >> 16) & 0xff) * 16 + 700),
 		    ((int)(msr.hi & 0xff) * 16 + 700));
 
-	printk(BIOS_INFO, "CPU multiplier: %dx (min %dx; max %dx)\n",
+	printk(INFO, "CPU multiplier: %dx (min %dx; max %dx)\n",
 		    (int)((msr.lo >> 8) & 0xff),
 		    (int)((msr.hi >> 24) & 0xff), (int)((msr.hi >> 8) & 0xff));
 
-	printk(BIOS_DEBUG, " msr.lo = %x\n", msr.lo);
+	printk(DEBUG, " msr.lo = %x\n", msr.lo);
 
 	/* Wait while CPU is busy */
 	cnt = 0;
@@ -95,7 +95,7 @@ static void set_c7_speed(int model) {
 		msr = rdmsr(MSR_IA32_PERF_STATUS);
 		cnt++;
 		if (cnt > 128) {
-			printk(BIOS_WARNING, "Could not update multiplier and voltage.\n");
+			printk(WARNING, "Could not update multiplier and voltage.\n");
 			return;
 		}
 	}
@@ -129,7 +129,7 @@ static void set_c7_speed(int model) {
 
 	msr.lo = new;
 	msr.hi = 0;
-	printk(BIOS_DEBUG, " new msr.lo = %x\n", msr.lo);
+	printk(DEBUG, " new msr.lo = %x\n", msr.lo);
 
 	wrmsr(MSR_IA32_PERF_CTL, msr);
 
@@ -140,13 +140,13 @@ static void set_c7_speed(int model) {
 		msr = rdmsr(MSR_IA32_PERF_STATUS);
 		cnt++;
 		if (cnt > 128) {
-			printk(BIOS_WARNING, "Error while updating multiplier and voltage\n");
+			printk(WARNING, "Error while updating multiplier and voltage\n");
 			break;
 		}
 	} while (msr.lo & ((1 << 16) | (1 << 17)));
 
-	printk(BIOS_INFO, "Current voltage: %dmV\n", ((int)(msr.lo & 0xff) * 16 + 700));
-	printk(BIOS_INFO, "Current CPU multiplier: %dx\n", (int)((msr.lo >> 8) & 0xff));
+	printk(INFO, "Current voltage: %dmV\n", ((int)(msr.lo & 0xff) * 16 + 700));
+	printk(INFO, "Current CPU multiplier: %dx\n", (int)((msr.lo >> 8) & 0xff));
 }
 
 static void model_c7_init(device_t dev)
@@ -157,39 +157,39 @@ static void model_c7_init(device_t dev)
 
 	get_fms(&c, dev->device);
 
-	printk(BIOS_INFO, "Detected VIA ");
+	printk(INFO, "Detected VIA ");
 
 	switch (c.x86_model) {
 	case 10:
 		msr = rdmsr(0x1153);
 		brand = (((msr.lo >> 2) ^ msr.lo) >> 18) & 3;
-		printk(BIOS_INFO, "Model A ");
+		printk(INFO, "Model A ");
 		break;
 	case 13:
 		msr = rdmsr(0x1154);
 		brand = (((msr.lo >> 4) ^ (msr.lo >> 2))) & 0x000000ff;
-		printk(BIOS_INFO, "Model D ");
+		printk(INFO, "Model D ");
 		break;
 	default:
-		printk(BIOS_INFO, "Model Unknown ");
+		printk(INFO, "Model Unknown ");
 		brand = 0xff;
 	}
 
 	switch (brand) {
 	case 0:
-		printk(BIOS_INFO, "C7-M\n");
+		printk(INFO, "C7-M\n");
 		break;
 	case 1:
-		printk(BIOS_INFO, "C7\n");
+		printk(INFO, "C7\n");
 		break;
 	case 2:
-		printk(BIOS_INFO, "Eden\n");
+		printk(INFO, "Eden\n");
 		break;
 	case 3:
-		printk(BIOS_INFO, "C7-D\n");
+		printk(INFO, "C7-D\n");
 		break;
 	default:
-		printk(BIOS_INFO, "%02x (please report)\n", brand);
+		printk(INFO, "%02x (please report)\n", brand);
 	}
 
 	/* Gear up */
Index: svn/src/cpu/x86/cache/cache.c
===================================================================
--- svn.orig/src/cpu/x86/cache/cache.c
+++ svn/src/cpu/x86/cache/cache.c
@@ -4,7 +4,7 @@
 void x86_enable_cache(void)
 {
 	post_code(0x60);
-	printk(BIOS_INFO, "Enabling cache\n");
+	printk(INFO, "Enabling cache\n");
 	enable_cache();
 }
 
Index: svn/src/cpu/x86/lapic/lapic.c
===================================================================
--- svn.orig/src/cpu/x86/lapic/lapic.c
+++ svn/src/cpu/x86/lapic/lapic.c
@@ -17,7 +17,7 @@ void setup_lapic(void)
 	/* Only Pentium Pro and later have those MSR stuff */
 	msr_t msr;
 
-	printk(BIOS_INFO, "Setting up local apic...");
+	printk(INFO, "Setting up local apic...");
 
 	/* Enable the local apic */
 	msr = rdmsr(LAPIC_BASE_MSR);
@@ -55,18 +55,18 @@ void setup_lapic(void)
 			LAPIC_DELIVERY_MODE_NMI)
 		);
 
-	printk(BIOS_DEBUG, " apic_id: 0x%02lx ", lapicid());
+	printk(DEBUG, " apic_id: 0x%02lx ", lapicid());
 
 #else /* !NEED_LLAPIC */
 	/* Only Pentium Pro and later have those MSR stuff */
 	msr_t msr;
 
-	printk(BIOS_INFO, "Disabling local apic...");
+	printk(INFO, "Disabling local apic...");
 
 	msr = rdmsr(LAPIC_BASE_MSR);
 	msr.lo &= ~LAPIC_BASE_MSR_ENABLE;
 	wrmsr(LAPIC_BASE_MSR, msr);
 #endif /* !NEED_LAPIC */
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 	post_code(0x9b);
 }
Index: svn/src/cpu/x86/lapic/lapic_cpu_init.c
===================================================================
--- svn.orig/src/cpu/x86/lapic/lapic_cpu_init.c
+++ svn/src/cpu/x86/lapic/lapic_cpu_init.c
@@ -66,7 +66,7 @@ static void copy_secondary_start_to_1m_b
 	/* copy the _secondary_start to the ram below 1M*/
 	memcpy((unsigned char *)start_eip, (unsigned char *)_secondary_start, code_size);
 
-	printk(BIOS_DEBUG, "start_eip=0x%08lx, offset=0x%08lx, code_size=0x%08lx\n", start_eip, ((unsigned long)_secondary_start - start_eip), code_size);
+	printk(DEBUG, "start_eip=0x%08lx, offset=0x%08lx, code_size=0x%08lx\n", start_eip, ((unsigned long)_secondary_start - start_eip), code_size);
 #endif
 }
 
@@ -80,7 +80,7 @@ static int lapic_start_cpu(unsigned long
 	 * Starting actual IPI sequence...
 	 */
 
-	printk(BIOS_SPEW, "Asserting INIT.\n");
+	printk(SPEW, "Asserting INIT.\n");
 
 	/*
 	 * Turn INIT on target chip
@@ -94,28 +94,28 @@ static int lapic_start_cpu(unsigned long
 	lapic_write_around(LAPIC_ICR, LAPIC_INT_LEVELTRIG | LAPIC_INT_ASSERT
 				| LAPIC_DM_INIT);
 
-	printk(BIOS_SPEW, "Waiting for send to finish...\n");
+	printk(SPEW, "Waiting for send to finish...\n");
 	timeout = 0;
 	do {
-		printk(BIOS_SPEW, "+");
+		printk(SPEW, "+");
 		udelay(100);
 		send_status = lapic_read(LAPIC_ICR) & LAPIC_ICR_BUSY;
 	} while (send_status && (timeout++ < 1000));
 	if (timeout >= 1000) {
-		printk(BIOS_ERR, "CPU %ld: First apic write timed out. Disabling\n",
+		printk(ERROR, "CPU %ld: First apic write timed out. Disabling\n",
 			 apicid);
 		// too bad.
-		printk(BIOS_ERR, "ESR is 0x%lx\n", lapic_read(LAPIC_ESR));
+		printk(ERROR, "ESR is 0x%lx\n", lapic_read(LAPIC_ESR));
 		if (lapic_read(LAPIC_ESR)) {
-			printk(BIOS_ERR, "Try to reset ESR\n");
+			printk(ERROR, "Try to reset ESR\n");
 			lapic_write_around(LAPIC_ESR, 0);
-			printk(BIOS_ERR, "ESR is 0x%lx\n", lapic_read(LAPIC_ESR));
+			printk(ERROR, "ESR is 0x%lx\n", lapic_read(LAPIC_ESR));
 		}
 		return 0;
 	}
 	mdelay(10);
 
-	printk(BIOS_SPEW, "Deasserting INIT.\n");
+	printk(SPEW, "Deasserting INIT.\n");
 
 	/* Target chip */
 	lapic_write_around(LAPIC_ICR2, SET_LAPIC_DEST_FIELD(apicid));
@@ -123,15 +123,15 @@ static int lapic_start_cpu(unsigned long
 	/* Send IPI */
 	lapic_write_around(LAPIC_ICR, LAPIC_INT_LEVELTRIG | LAPIC_DM_INIT);
 
-	printk(BIOS_SPEW, "Waiting for send to finish...\n");
+	printk(SPEW, "Waiting for send to finish...\n");
 	timeout = 0;
 	do {
-		printk(BIOS_SPEW, "+");
+		printk(SPEW, "+");
 		udelay(100);
 		send_status = lapic_read(LAPIC_ICR) & LAPIC_ICR_BUSY;
 	} while (send_status && (timeout++ < 1000));
 	if (timeout >= 1000) {
-		printk(BIOS_ERR, "CPU %ld: Second apic write timed out. Disabling\n",
+		printk(ERROR, "CPU %ld: Second apic write timed out. Disabling\n",
 			 apicid);
 		// too bad.
 		return 0;
@@ -148,16 +148,16 @@ static int lapic_start_cpu(unsigned long
 	/*
 	 * Run STARTUP IPI loop.
 	 */
-	printk(BIOS_SPEW, "#startup loops: %d.\n", num_starts);
+	printk(SPEW, "#startup loops: %d.\n", num_starts);
 
 	maxlvt = 4;
 
 	for (j = 1; j <= num_starts; j++) {
-		printk(BIOS_SPEW, "Sending STARTUP #%d to %lu.\n", j, apicid);
+		printk(SPEW, "Sending STARTUP #%d to %lu.\n", j, apicid);
 		lapic_read_around(LAPIC_SPIV);
 		lapic_write(LAPIC_ESR, 0);
 		lapic_read(LAPIC_ESR);
-		printk(BIOS_SPEW, "After apic_write.\n");
+		printk(SPEW, "After apic_write.\n");
 
 		/*
 		 * STARTUP IPI
@@ -176,12 +176,12 @@ static int lapic_start_cpu(unsigned long
 		 */
 		udelay(300);
 
-		printk(BIOS_SPEW, "Startup point 1.\n");
+		printk(SPEW, "Startup point 1.\n");
 
-		printk(BIOS_SPEW, "Waiting for send to finish...\n");
+		printk(SPEW, "Waiting for send to finish...\n");
 		timeout = 0;
 		do {
-			printk(BIOS_SPEW, "+");
+			printk(SPEW, "+");
 			udelay(100);
 			send_status = lapic_read(LAPIC_ICR) & LAPIC_ICR_BUSY;
 		} while (send_status && (timeout++ < 1000));
@@ -201,11 +201,11 @@ static int lapic_start_cpu(unsigned long
 		if (send_status || accept_status)
 			break;
 	}
-	printk(BIOS_SPEW, "After Startup.\n");
+	printk(SPEW, "After Startup.\n");
 	if (send_status)
-		printk(BIOS_WARNING, "APIC never delivered???\n");
+		printk(WARNING, "APIC never delivered???\n");
 	if (accept_status)
-		printk(BIOS_WARNING, "APIC delivery error (%lx).\n", accept_status);
+		printk(WARNING, "APIC delivery error (%lx).\n", accept_status);
 	if (send_status || accept_status)
 		return 0;
 	return 1;
@@ -294,7 +294,7 @@ void stop_this_cpu(void)
 
 	id = lapic_read(LAPIC_ID) >> 24;
 
-	printk(BIOS_DEBUG, "CPU %ld going down...\n", id);
+	printk(DEBUG, "CPU %ld going down...\n", id);
 
 	/* send an LAPIC INIT to myself */
 	lapic_write_around(LAPIC_ICR2, SET_LAPIC_DEST_FIELD(id));
@@ -302,37 +302,37 @@ void stop_this_cpu(void)
 
 	/* wait for the ipi send to finish */
 #if 0
-	// When these two printk(BIOS_SPEW, ...) calls are not removed, the
+	// When these two printk(SPEW, ...) calls are not removed, the
 	// machine will hang when log level is SPEW. Why?
-	printk(BIOS_SPEW, "Waiting for send to finish...\n");
+	printk(SPEW, "Waiting for send to finish...\n");
 #endif
 	timeout = 0;
 	do {
 #if 0
-		printk(BIOS_SPEW, "+");
+		printk(SPEW, "+");
 #endif
 		udelay(100);
 		send_status = lapic_read(LAPIC_ICR) & LAPIC_ICR_BUSY;
 	} while (send_status && (timeout++ < 1000));
 	if (timeout >= 1000) {
-		printk(BIOS_ERR, "timed out\n");
+		printk(ERROR, "timed out\n");
 	}
 	mdelay(10);
 
-	printk(BIOS_SPEW, "Deasserting INIT.\n");
+	printk(SPEW, "Deasserting INIT.\n");
 	/* Deassert the LAPIC INIT */
 	lapic_write_around(LAPIC_ICR2, SET_LAPIC_DEST_FIELD(id));
 	lapic_write_around(LAPIC_ICR, LAPIC_INT_LEVELTRIG | LAPIC_DM_INIT);
 
-	printk(BIOS_SPEW, "Waiting for send to finish...\n");
+	printk(SPEW, "Waiting for send to finish...\n");
 	timeout = 0;
 	do {
-		printk(BIOS_SPEW, "+");
+		printk(SPEW, "+");
 		udelay(100);
 		send_status = lapic_read(LAPIC_ICR) & LAPIC_ICR_BUSY;
 	} while (send_status && (timeout++ < 1000));
 	if (timeout >= 1000) {
-		printk(BIOS_ERR, "timed out\n");
+		printk(ERROR, "timed out\n");
 	}
 
 	while(1) {
@@ -387,7 +387,7 @@ static void start_other_cpus(struct bus 
 
 		if (!start_cpu(cpu)) {
 			/* Record the error in cpu? */
-			printk(BIOS_ERR, "CPU 0x%02x would not start!\n",
+			printk(ERROR, "CPU 0x%02x would not start!\n",
 				cpu->path.apic.apic_id);
 		}
 #if CONFIG_SERIAL_CPU_INIT == 1
@@ -408,7 +408,7 @@ static void wait_other_cpus_stop(struct 
 	active_count = atomic_read(&active_cpus);
 	while(active_count > 1) {
 		if (active_count != old_active_count) {
-			printk(BIOS_INFO, "Waiting for %d CPUS to stop\n", active_count - 1);
+			printk(INFO, "Waiting for %d CPUS to stop\n", active_count - 1);
 			old_active_count = active_count;
 		}
 		udelay(10);
@@ -419,11 +419,11 @@ static void wait_other_cpus_stop(struct 
 			continue;
 		}
 		if (!cpu->initialized) {
-			printk(BIOS_ERR, "CPU 0x%02x did not initialize!\n",
+			printk(ERROR, "CPU 0x%02x did not initialize!\n",
 				cpu->path.apic.apic_id);
 		}
 	}
-	printk(BIOS_DEBUG, "All AP CPUs stopped\n");
+	printk(DEBUG, "All AP CPUs stopped\n");
 }
 
 #else /* CONFIG_SMP */
Index: svn/src/cpu/x86/mtrr/mtrr.c
===================================================================
--- svn.orig/src/cpu/x86/mtrr/mtrr.c
+++ svn/src/cpu/x86/mtrr/mtrr.c
@@ -98,7 +98,7 @@ static void set_var_mtrr(
 	base.hi = basek >> 22;
 	base.lo  = basek << 10;
 
-	printk(BIOS_SPEW, "ADDRESS_MASK_HIGH=%#x\n", address_mask_high);
+	printk(SPEW, "ADDRESS_MASK_HIGH=%#x\n", address_mask_high);
 
 	if (sizek < 4*1024*1024) {
 		mask.hi = address_mask_high;
@@ -236,12 +236,12 @@ static unsigned int range_to_mtrr(unsign
 		/* If there's no MTRR hole, this function will bail out
 		 * here when called for the hole.
 		 */
-		printk(BIOS_SPEW, "Zero-sized MTRR range @%ldKB\n", range_startk);
+		printk(SPEW, "Zero-sized MTRR range @%ldKB\n", range_startk);
 		return reg;
 	}
 
 	if (reg >= BIOS_MTRRS) {
-		printk(BIOS_ERR, "Warning: Out of MTRRs for base: %4ldMB, range: %ldMB, type %s\n",
+		printk(ERROR, "Warning: Out of MTRRs for base: %4ldMB, range: %ldMB, type %s\n",
 				range_startk >>10, range_sizek >> 10,
 				(type==MTRR_TYPE_UNCACHEABLE)?"UC":
 				   ((type==MTRR_TYPE_WRBACK)?"WB":"Other") );
@@ -258,7 +258,7 @@ static unsigned int range_to_mtrr(unsign
 			align = max_align;
 		}
 		sizek = 1 << align;
-		printk(BIOS_DEBUG, "Setting variable MTRR %d, base: %4ldMB, range: %4ldMB, type %s\n",
+		printk(DEBUG, "Setting variable MTRR %d, base: %4ldMB, range: %4ldMB, type %s\n",
 			reg, range_startk >>10, sizek >> 10,
 			(type==MTRR_TYPE_UNCACHEABLE)?"UC":
 			    ((type==MTRR_TYPE_WRBACK)?"WB":"Other")
@@ -267,7 +267,7 @@ static unsigned int range_to_mtrr(unsign
 		range_startk += sizek;
 		range_sizek -= sizek;
 		if (reg >= BIOS_MTRRS) {
-			printk(BIOS_ERR, "Running out of variable MTRRs!\n");
+			printk(ERROR, "Running out of variable MTRRs!\n");
 			break;
 		}
 	}
@@ -295,7 +295,7 @@ static void set_fixed_mtrr_resource(void
 	if (start_mtrr >= NUM_FIXED_RANGES) {
 		return;
 	}
-	printk(BIOS_DEBUG, "Setting fixed MTRRs(%d-%d) Type: WB\n",
+	printk(DEBUG, "Setting fixed MTRRs(%d-%d) Type: WB\n",
 		start_mtrr, last_mtrr);
 	set_fixed_mtrrs(start_mtrr, last_mtrr, MTRR_TYPE_WRBACK);
 	
@@ -357,7 +357,7 @@ void set_var_mtrr_resource(void *gp, str
 #endif
 	}
 	/* Allocate an msr */  
-	printk(BIOS_SPEW, " Allocate an msr - basek = %08lx, sizek = %08lx,\n", basek, sizek);
+	printk(SPEW, " Allocate an msr - basek = %08lx, sizek = %08lx,\n", basek, sizek);
 	state->range_startk = basek;
 	state->range_sizek  = sizek;
 }
@@ -369,9 +369,9 @@ void x86_setup_fixed_mtrrs(void)
          * and clear out the mtrrs.
          */
 
-        printk(BIOS_DEBUG, "\n");
+        printk(DEBUG, "\n");
         /* Initialized the fixed_mtrrs to uncached */
-        printk(BIOS_DEBUG, "Setting fixed MTRRs(%d-%d) Type: UC\n",
+        printk(DEBUG, "Setting fixed MTRRs(%d-%d) Type: UC\n",
 	        0, NUM_FIXED_RANGES);
         set_fixed_mtrrs(0, NUM_FIXED_RANGES, MTRR_TYPE_UNCACHEABLE);
 
@@ -380,10 +380,10 @@ void x86_setup_fixed_mtrrs(void)
         search_global_resources(
 		IORESOURCE_MEM | IORESOURCE_CACHEABLE, IORESOURCE_MEM | IORESOURCE_CACHEABLE,
 		set_fixed_mtrr_resource, NULL);
-        printk(BIOS_DEBUG, "DONE fixed MTRRs\n");
+        printk(DEBUG, "DONE fixed MTRRs\n");
 
         /* enable fixed MTRR */
-        printk(BIOS_SPEW, "call enable_fixed_mtrr()\n");
+        printk(SPEW, "call enable_fixed_mtrr()\n");
         enable_fixed_mtrr();
 
 }
@@ -421,7 +421,7 @@ void x86_setup_var_mtrrs(unsigned addres
 #if (CONFIG_GFXUMA == 1) /* UMA or SP. */
 	// For now we assume the UMA space is at the end of memory
 	if (var_state.hole_startk || var_state.hole_sizek) {
-		printk(BIOS_DEBUG, "Warning: Can't set up MTRR hole for UMA due to pre-existing MTRR hole.\n");
+		printk(DEBUG, "Warning: Can't set up MTRR hole for UMA due to pre-existing MTRR hole.\n");
 	} else {
 		// Increase the base range and set up UMA as an UC hole instead
 		var_state.range_sizek += (uma_memory_size >> 10);
@@ -437,15 +437,15 @@ void x86_setup_var_mtrrs(unsigned addres
 	var_state.reg = range_to_mtrr(var_state.reg, var_state.hole_startk,
 		var_state.hole_sizek,  0, MTRR_TYPE_UNCACHEABLE, var_state.address_bits);
 #endif
-	printk(BIOS_DEBUG, "DONE variable MTRRs\n");
-	printk(BIOS_DEBUG, "Clear out the extra MTRR's\n");
+	printk(DEBUG, "DONE variable MTRRs\n");
+	printk(DEBUG, "Clear out the extra MTRR's\n");
 	/* Clear out the extra MTRR's */
 	while(var_state.reg < MTRRS) {
 		set_var_mtrr(var_state.reg++, 0, 0, 0, var_state.address_bits);
 	}
-	printk(BIOS_SPEW, "call enable_var_mtrr()\n");
+	printk(SPEW, "call enable_var_mtrr()\n");
 	enable_var_mtrr();
-	printk(BIOS_SPEW, "Leave %s\n", __func__);
+	printk(SPEW, "Leave %s\n", __func__);
 	post_code(0x6A);
 }
 
@@ -460,24 +460,24 @@ int x86_mtrr_check(void)
 {
 	/* Only Pentium Pro and later have MTRR */
 	msr_t msr;
-	printk(BIOS_DEBUG, "\nMTRR check\n");
+	printk(DEBUG, "\nMTRR check\n");
 
 	msr = rdmsr(0x2ff);
 	msr.lo >>= 10;
 
-	printk(BIOS_DEBUG, "Fixed MTRRs   : ");
+	printk(DEBUG, "Fixed MTRRs   : ");
 	if (msr.lo & 0x01)
-		printk(BIOS_DEBUG, "Enabled\n");
+		printk(DEBUG, "Enabled\n");
 	else
-		printk(BIOS_DEBUG, "Disabled\n");
+		printk(DEBUG, "Disabled\n");
 
-	printk(BIOS_DEBUG, "Variable MTRRs: ");
+	printk(DEBUG, "Variable MTRRs: ");
 	if (msr.lo & 0x02)
-		printk(BIOS_DEBUG, "Enabled\n");
+		printk(DEBUG, "Enabled\n");
 	else
-		printk(BIOS_DEBUG, "Disabled\n");
+		printk(DEBUG, "Disabled\n");
 
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 	post_code(0x93);
 	return ((int) msr.lo);
Index: svn/src/cpu/x86/pae/pgtbl.c
===================================================================
--- svn.orig/src/cpu/x86/pae/pgtbl.c
+++ svn/src/cpu/x86/pae/pgtbl.c
@@ -66,7 +66,7 @@ void *map_2M_page(unsigned long page) 
                 #warning "We may need to increase CONFIG_RAMTOP, it need to be more than (0x100000+20480*CONFIG_MAX_CPUS)\n"
 #endif
 	if(x_end > (CONFIG_RAMTOP)) {
-                        printk(BIOS_DEBUG, "map_2M_page: Please increase the CONFIG_RAMTOP more than %dK\n", x_end);
+                        printk(DEBUG, "map_2M_page: Please increase the CONFIG_RAMTOP more than %dK\n", x_end);
                         die("Can not go on");
 	}
 #else
Index: svn/src/cpu/x86/smm/smihandler.c
===================================================================
--- svn.orig/src/cpu/x86/smm/smihandler.c
+++ svn/src/cpu/x86/smm/smihandler.c
@@ -68,7 +68,7 @@ void io_trap_handler(int smif)
 	/* If a handler function handled a given IO trap, it
 	 * shall return a non-zero value
 	 */
-        printk(BIOS_DEBUG, "SMI function trap 0x%x: ", smif);
+        printk(DEBUG, "SMI function trap 0x%x: ", smif);
 
 	if (southbridge_io_trap_handler(smif))
 		return;
@@ -76,7 +76,7 @@ void io_trap_handler(int smif)
 	if (mainboard_io_trap_handler(smif))
 		return;
 
-	printk(BIOS_DEBUG, "Unknown function\n");
+	printk(DEBUG, "Unknown function\n");
 }
 
 /**
@@ -111,7 +111,7 @@ void smi_handler(u32 smm_revision)
 
 	console_init();
 
-	printk(BIOS_SPEW, "\nSMI# #%d\n", node);
+	printk(SPEW, "\nSMI# #%d\n", node);
 
 	switch (smm_revision) {
 	case 0x00030002:
@@ -131,8 +131,8 @@ void smi_handler(u32 smm_revision)
 			(0xa8000 + 0x7e00 - (node * 0x400));
 		break;
 	default:
-		printk(BIOS_DEBUG, "smm_revision: 0x%08x\n", smm_revision);
-		printk(BIOS_DEBUG, "SMI# not supported on your CPU\n");
+		printk(DEBUG, "smm_revision: 0x%08x\n", smm_revision);
+		printk(DEBUG, "SMI# not supported on your CPU\n");
 		/* Don't release lock, so no further SMI will happen,
 		 * if we don't handle it anyways.
 		 */
Index: svn/src/cpu/x86/tsc/delay_tsc.c
===================================================================
--- svn.orig/src/cpu/x86/tsc/delay_tsc.c
+++ svn/src/cpu/x86/tsc/delay_tsc.c
@@ -78,7 +78,7 @@ static unsigned long long calibrate_tsc(
 	 * 32 bits..
 	 */
 bad_ctc:
-	printk(BIOS_ERR, "bad_ctc\n");
+	printk(ERROR, "bad_ctc\n");
 	return 0;
 }
 
@@ -104,7 +104,7 @@ static unsigned long long calibrate_tsc(
 	unsigned long long start, end, delta;
 	unsigned long result, count;
 	
-	printk(BIOS_SPEW, "Calibrating delay loop...\n");
+	printk(SPEW, "Calibrating delay loop...\n");
 	start = rdtscll();
 	// no udivdi3 because we don't like libgcc. (only in x86emu)
 	// so we count to 1<< 20 and then right shift 20
@@ -128,10 +128,10 @@ static unsigned long long calibrate_tsc(
 	delta >>= 20;
 	// save this for microsecond timing.
 	result = delta;
-	printk(BIOS_SPEW, "end %llx, start %llx\n", end, start);
-	printk(BIOS_SPEW, "32-bit delta %ld\n", (unsigned long) delta);
+	printk(SPEW, "end %llx, start %llx\n", end, start);
+	printk(SPEW, "32-bit delta %ld\n", (unsigned long) delta);
 	
-	printk(BIOS_SPEW, "%s 32-bit result is %ld\n",
+	printk(SPEW, "%s 32-bit result is %ld\n",
 			__func__,
 			result);
 	return delta;
@@ -144,7 +144,7 @@ void init_timer(void)
 {
 	if (!clocks_per_usec) {
 		clocks_per_usec = calibrate_tsc();
-		printk(BIOS_INFO, "clocks_per_usec: %lu\n", clocks_per_usec);
+		printk(INFO, "clocks_per_usec: %lu\n", clocks_per_usec);
 	}
 }
 
Index: svn/src/devices/cardbus_device.c
===================================================================
--- svn.orig/src/devices/cardbus_device.c
+++ svn/src/devices/cardbus_device.c
@@ -166,7 +166,7 @@ void cardbus_enable_resources(device_t d
 			PCI_BRIDGE_CTL_MASTER_ABORT |
 			PCI_BRIDGE_CTL_BUS_RESET));
 	ctrl |= (PCI_CB_BRIDGE_CTL_PARITY + PCI_CB_BRIDGE_CTL_SERR); /* error check */
-	printk(BIOS_DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
+	printk(DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
 	pci_write_config16(dev, PCI_BRIDGE_CONTROL, ctrl);
 
 	pci_dev_enable_resources(dev);
@@ -188,7 +188,7 @@ unsigned int cardbus_scan_bridge(device_
 	uint32_t buses;
 	uint16_t cr;
 
-	printk(BIOS_SPEW, "%s for %s\n", __func__, dev_path(dev));
+	printk(SPEW, "%s for %s\n", __func__, dev_path(dev));
 
 	bus = &dev->link[0];
 	bus->dev = dev;
@@ -236,7 +236,7 @@ unsigned int cardbus_scan_bridge(device_
 	pci_write_config32(dev, PCI_CB_PRIMARY_BUS, buses);
 	pci_write_config16(dev, PCI_COMMAND, cr);
 	
-	printk(BIOS_SPEW, "%s returns max %d\n", __func__, max);
+	printk(SPEW, "%s returns max %d\n", __func__, max);
 	return max;
 }
 
